@import '../../style/base/_variables';

.loading {
  position: absolute;
  top: 0; left: 0; bottom: 0; right: 0;
  display: block;
  width: 75px;
  height: 75px;
  margin: auto;
  &::before {
    content: '';
    position: absolute;
    width: 75px;
    height: 75px;
    border: 3px solid $color-purple-01;
    border-radius: 50%;
    border-right-color: transparent;
    border-bottom-color: transparent;
    animation: spin 750ms linear infinite;
  }
}

@keyframes spin {
  0%    { transform: rotate(0deg); }
  100%  { transform: rotate(360deg); }
}